Bug 1147767 (CVE-2014-3665) - CVE-2014-3665 jenkins: remote code execution from slaves (SECURITY-144)
Summary: CVE-2014-3665 jenkins: remote code execution from slaves (SECURITY-144)
Status: CLOSED ERRATA
Alias: CVE-2014-3665
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20141030,repo...
Keywords: Reopened, Security
Depends On: 1158239 1158241
Blocks: 1103334 1147771
TreeView+ depends on / blocked
 
Reported: 2014-09-30 03:47 UTC by Murray McAllister
Modified: 2015-01-04 22:42 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-04 05:50:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Murray McAllister 2014-09-30 03:47:18 UTC
Jenkins Security Advisory SECURITY-144 notes:

Build slave processes can execute arbitrary code on Jenkins master, which makes Jenkins vulnerable from attacks that go through its build slaves.

Comment 1 Murray McAllister 2014-10-02 02:44:36 UTC
Acknowledgements:

Red Hat would like to thank the Jenkins project for reporting this issue.

Comment 6 Kurt Seifried 2014-10-28 22:55:30 UTC
Accidentally closed this bug, it is not yet fixed by upstream.

Comment 7 Murray McAllister 2014-10-31 03:20:38 UTC
This issue is public now:

https://wiki.jenkins-ci.org/display/SECURITY/Jenkins+Security+Advisory+2014-10-30

Comment 8 Kurt Seifried 2014-11-04 05:50:38 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Enterprise 2.1

Via RHBA-2014:1630 https://rhn.redhat.com/errata/RHBA-2014-1630.html


Note You need to log in before you can comment on or make changes to this bug.